Subject: Re: Fwd: Updated: GraphicsMagick-1.3.12-2
From: marco atzeri <[email-masked]>
To: john grant <[email-masked]>
Cc: [email-masked]
Date: Wed, 23 Mar 2011 18:15:34 +0100
List-Id: <cygwin.cygwin.com>

On Wed, Mar 23, 2011 at 5:53 PM, john grant  wrote:
> I thought it would be useful to show that the problem is not specific to
> images, just plotting in general. I ran 2 more tests, and the 2nd one
> actually resulted in a figure window appearing! All the others have failed
> to produce a figure window.
>
> (NO FIGURE)
> octave:6> tt = 1:400;
> octave:7> xx = 5*cos(2*pi*50*tt);
> octave:8> plot(xx)
> 729360911 [main] octave-3.4.0 6848 exception::handle: Exception:
> STATUS_ACCESS_VIOLATION
> 729361810 [main] octave-3.4.0 6848 open_stackdumpfile: Dumping stack trace
> to octave-3.4.0.exe.stackdump
> 729419321 [main] octave-3.4.0 6040 exception::handle: Exception:
> STATUS_ACCESS_VIOLATION
> 729430258 [main] octave-3.4.0 6040 open_stackdumpfile: Dumping stack trace
> to octave-3.4.0.exe.stackdump
> 729487239 [main] octave-3.4.0 5384 exception::handle: Exception:
> STATUS_ACCESS_VIOLATION
> 729487715 [main] octave-3.4.0 5384 open_stackdumpfile: Dumping stack trace
> to octave-3.4.0.exe.stackdump
> 729547966 [main] octave-3.4.0 6996 exception::handle: Exception:
> STATUS_ACCESS_VIOLATION
> 729548391 [main] octave-3.4.0 6996 open_stackdumpfile: Dumping stack trace
> to octave-3.4.0.exe.stackdump
> 731805782 [main] octave 4120 child_copy: linked dll data write copy failed,
> 0x2EB000..0x2F8DEC, done 0, windows pid 2420, Win32 error 487

John,
this seems another different problem and I can not replicate.
I suggest you join the cygwin mailing list, as we need someone with
Vista to confirm it.

However "windows pid 2420, Win32 error 487"
looks like http://cygwin.com/ml/cygwin/2011-03/msg00453.html

As further test, please download cygwin1-20110323.dll.bz2 from
http://cygwin.com/snapshots/
and replace the cygwin1.dll in /usr/bin
Off course any Cygwin program should be off.

If this solves your problem, you just hit 3 issues in the row:
- my missing update on GraphicsMagick
- Dave new update of gcc/fortran
- cygwin-1.7.8 update and "Win32 error 487"

I never saw such unlucky strike.

Corinna, Cgf,
what about a cygwin-1.7.9 to solve also the last problem "Win32 error 487" ?

> error: popen2: process creation failed -- Resource temporarily unavailable
> error: called from:
> error:   /usr/share/octave/3.4.0/m/plot/__gnuplot_open_stream__.m at line
> 30, column 44
> error:   /usr/share/octave/3.4.0/m/plot/__gnuplot_drawnow__.m at line 72,
> column 19
>
> (YES FIGURE)
> octave:9> plot(1:10)
> 736934972 [main] octave-3.4.0 1120 exception::handle: Exception:
> STATUS_ACCESS_VIOLATION
> 736935779 [main] octave-3.4.0 1120 open_stackdumpfile: Dumping stack trace
> to octave-3.4.0.exe.stackdump
> octave:10>
>
>
> ________________________________
> From: john grant
> To: marco atzeri
> Sent: Wed, March 23, 2011 9:44:51 AM
> Subject: Re: Fwd: Updated: GraphicsMagick-1.3.12-2
>
> Excellent catch! Hopefully karma will reward us for our efforts. :)
>
> After the fortran downgrade, Octave was responsive again. I returned to my
> original problem of displaying the .jpg with the 'image' function. Here are
> my current results:
>
> (from an xterm window)
>
> octave:1> Ijpg = imread('office_lowres.JPG');
> warning: your version of GraphicsMagick limits images to 16 bits per pixel
>
> octave:2> image(Ijpg)
>       0 [main] octave-3.4.0 5692 exception::handle: Exception:
> STATUS_ACCESS_VIOLATION
>     905 [main] octave-3.4.0 5692 open_stackdumpfile: Dumping stack trace to
> octave-3.4.0.exe.stackdump
>       2 [main] octave-3.4.0 4048 exception::handle: Exception:
> STATUS_ACCESS_VIOLATION
>    1044 [main] octave-3.4.0 4048 open_stackdumpfile: Dumping stack trace to
> octave-3.4.0.exe.stackdump
>       1 [main] octave-3.4.0 8120 exception::handle: Exception:
> STATUS_ACCESS_VIOLATION
>    1004 [main] octave-3.4.0 8120 open_stackdumpfile: Dumping stack trace to
> octave-3.4.0.exe.stackdump
>       2 [main] octave-3.4.0 5472 exception::handle: Exception:
> STATUS_ACCESS_VIOLATION
>     823 [main] octave-3.4.0 5472 open_stackdumpfile: Dumping stack trace to
> octave-3.4.0.exe.stackdump
>       1 [main] octave-3.4.0 4176 exception::handle: Exception:
> STATUS_ACCESS_VIOLATION
>    1105 [main] octave-3.4.0 4176 open_stackdumpfile: Dumping stack trace to
> octave-3.4.0.exe.stackdump
>       2 [main] octave-3.4.0 4612 exception::handle: Exception:
> STATUS_ACCESS_VIOLATION
>     884 [main] octave-3.4.0 4612 open_stackdumpfile: Dumping stack trace to
> octave-3.4.0.exe.stackdump
>       1 [main] octave 4120 fork: child -1 - died waiting for longjmp before
> initialization, retry 0, exit code 0x600, errno 11
> error: popen2: process creation failed -- Resource temporarily unavailable
> error: called from:
> error:   /usr/share/octave/3.4.0/m/plot/__gnuplot_open_stream__.m at line
> 30, column 44
> error:   /usr/share/octave/3.4.0/m/plot/__gnuplot_drawnow__.m at line 72,
> column 19
> octave:3>
>
>
> ________________________________
> From: marco atzeri <[email-masked]>
> To: john grant <[email-masked]>
> Sent: Wed, March 23, 2011 8:12:42 AM
> Subject: Re: Fwd: Updated: GraphicsMagick-1.3.12-2
>
> On Wed, Mar 23, 2011 at 4:00 PM, john grant <[email-masked]>
> wrote:
>>
>> I didn't see any issues, so I didn't send this. Thanks for the tip about
>> mintty.
>
> I found it, this time is not my fault, it is a totally new problem.
> As soon I upgraded, I have the same problem.
>
> There is an upgrade problem on the fortran system library
> http://cygwin.com/ml/cygwin/2011-03/msg00682.html
>
> As interim solution run setup and downgrade
> libgfortran3      from 4.3.4-4 to 4.3.4-3
>
> octave should work again.
>
> As soon as the gcc/gfortran package maintainer reply we should have a
> strategy for solving this new problem.
>
> Marco
> PS: usually thing are not so complicated. You hit a very unlucky combination
> and timing series of event....
>
>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple